Subject: Path for intermediate results

From: Gerhard Daub <[email-masked]>
Date: Fri, 19 Nov 1993 09:14:51 +0100

Hi everybody!

I posted the following question already some weeks ago. Since nobody
answered I try it again.

Is there a way to force Postgres to store its intermediate results 
in a different directory
than that of the normal user data? 
(I consider at least the tmp files in the '~/data/base/user database directories' as intermediate results)

As we pointed out here Postgres opens and closes those files quite often while executing a query.
And because this happens via NFS performance is very low. (To low for our network management system).

If we could force Postgres to store those files in a different directory than '~/data/base/XX'
the problem would be solved (at least as far as I understand what's happening). Or am I totally wrong??

Any hints would be appreciated. (Even if it's a 'it can't be done'-answer.)

Thanks,
Gerhard